org.apache.olingo.odata2.api.commons

## Enum ODataHttpMethod

- java.lang.Object
- - java.lang.Enum<ODataHttpMethod>
  - - org.apache.olingo.odata2.api.commons.ODataHttpMethod

- All Implemented Interfaces:
    Serializable, Comparable<ODataHttpMethod>

      public enum ODataHttpMethod
      extends Enum<ODataHttpMethod>

  The supported HTTP methods.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE`
    `GET`
    `MERGE`
    `PATCH`
    `POST`
    `PUT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ODataHttpMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ODataHttpMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          public static final ODataHttpMethod GET

    - #### PUT

          public static final ODataHttpMethod PUT

    - #### POST

          public static final ODataHttpMethod POST

    - #### DELETE

          public static final ODataHttpMethod DELETE

    - #### PATCH

          public static final ODataHttpMethod PATCH

    - #### MERGE

          public static final ODataHttpMethod MERGE

  - ### Method Detail

    - #### values

          public static ODataHttpMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ODataHttpMethod c : ODataHttpMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ODataHttpMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.